---
- name: show file
  debug:
    msg: "{{ lookup('file', 'hosts', errors='ignore') }}"

- name:
  debug:
    msg: "{{ lookup('password', '/dev/null length=8') }}"

- name: mx ansible.com
  debug:
    msg: "MX : {{ lookup('dig', 'ansible.com/MX') }}"
